using Godot;
using System;

public partial class Camera3D : Godot.Camera3D
{
	[Export] public Vector3 cameraOffset;
	public RigidBody3D target;
	
	public override void _Ready()
	{
		target = (RigidBody3D)GetParent().GetNode("Balle");
	
		var playerPosition = target.Position;
		var cameraPosition = Position;
		cameraOffset = cameraPosition - playerPosition;
	}

	public override void _Process(double delta)
	{
		var playerPosition = target.Position;
		// On positionne la caméra par rapport à la balle
		Position = playerPosition + cameraOffset;
	}
}
